--local levels = {}
require "arc1"
require "arc2"
require "arc3"
require "arc4"
require "arc5"
require "collision"
require "collision2"
require "controls"

function love.load()
  love.window.setFullscreen(true, "desktop")
  love.window.setTitle("Tau Down")
  width = love.window.getWidth()
  height = love.graphics.getHeight()
  speed = 3
  countdown = os.clock()
  love.graphics.setBackgroundColor(255, 255, 255)
  player1score = 0
  player2score = 0

  onDeath()
  
  local joysticks = love.joystick.getJoysticks()
  player1 = joysticks[1]
  player2 = joysticks[2]
  player3 = joysticks[3]
  player4 = joysticks[4]
  
  font = love.graphics.setNewFont("Helvetica.dfont", 15)
end

function onDeath()
  player1angle = math.pi
  player1distance = 600
  player1resting = "fall"
  player1lastlevel = "arc1"
  
  player2angle = 0
  player2distance = 600
  player2resting = "fall"
  player2lastlevel = "arc1"
  
  inmost = "arc1"
  arc1radius = 50
  arc2radius = 142
  arc3radius = 234
  arc4radius = 326
  arc5radius = 418
  
  arc1Init()
  arc2Init()
  arc3Init()
  arc4Init()
  arc5Init()
end


function love.draw()
  --Disabled unless you want an epillepsy:
  --love.graphics.setBackgroundColor(love.math.random(255), love.math.random(255), love.math.random(255))
  
  --love.graphics.print(player1:getGamepadAxis("leftx"), 100, 120)
  --love.graphics.print(player2:getGamepadAxis("leftx"), 100, 140)

  if inmost == "arc1" then
    arc5Draw(arc5radius)
    arc4Draw(arc4radius)
    arc3Draw(arc3radius)
    arc2Draw(arc2radius)
    arc1Draw(arc1radius)
  elseif inmost == "arc2" then
    arc1Draw(arc1radius)
    arc5Draw(arc5radius)
    arc4Draw(arc4radius)
    arc3Draw(arc3radius)
    arc2Draw(arc2radius)
  elseif inmost == "arc3" then
    arc2Draw(arc2radius)
    arc1Draw(arc1radius)
    arc5Draw(arc5radius)
    arc4Draw(arc4radius)
    arc3Draw(arc3radius)
  elseif inmost == "arc4" then
    arc3Draw(arc3radius)
    arc2Draw(arc2radius)
    arc1Draw(arc1radius)
    arc5Draw(arc5radius)
    arc4Draw(arc4radius)
  elseif inmost == "arc5" then
    arc4Draw(arc4radius)
    arc3Draw(arc3radius)
    arc2Draw(arc2radius)
    arc1Draw(arc1radius)
    arc5Draw(arc5radius)
  end

  love.graphics.setColor(255, 229, 0, 255)
  x, y = cartesian(0, 0)
  love.graphics.circle("fill", x, y, 50, 100)
  
  love.graphics.setColor(128, 128, 128, 255)
  love.graphics.circle("line", width/2, height/2, 500, 100)
  --love.graphics.print(180*player1angle/math.pi, 100, 100)
  --love.graphics.print(player1:getGamepadAxis("leftx"), 100, 120)
  --love.graphics.print(player1:getGamepadAxis("rightx"), 100, 140)
  
  love.graphics.setColor(255, 0, 0, 255)
  x, y = cartesian(player1distance + 20, player1angle)
  love.graphics.circle("fill", x, y, 20, 100)
  
  love.graphics.setColor(0, 0, 255, 255)
  x, y = cartesian(player2distance + 20, player2angle)
  love.graphics.circle("fill", x, y, 20, 100)
  
  love.graphics.setPointSize(200)
  love.graphics.setColor(0, 0, 0, 255)
  if math.ceil(3-20*(os.clock()-countdown)) > 0 then
    love.graphics.print(math.ceil(3-20*(os.clock()-countdown)), width/2 - 50, height/2 - 250, 0, 10, 10)
  elseif math.ceil(3-20*(os.clock()-countdown)) == 0 then
    love.graphics.print("GO!", width/2 - 150, height/2 - 250, 0, 10, 10)
  end

  
  collision()
  collision2()
end

function love.update()
  if math.ceil(3-20*(os.clock()-countdown)) < 1 then
    controls(love.joystick.getJoystickCount())
  end
end

function cartesian(radius, theta)
  x = radius * math.cos(theta) + width/2
  y = radius * math.sin(theta) + height/2
  return x, y
end